﻿// ------------------------------------------------------------------------------
//  <auto-generated>
//      This code was generated by SpecFlow (http://www.specflow.org/).
//      SpecFlow Version:1.9.0.77
//      SpecFlow Generator Version:1.9.0.0
//      Runtime Version:4.0.30319.18444
// 
//      Changes to this file may cause incorrect behavior and will be lost if
//      the code is regenerated.
//  </auto-generated>
// ------------------------------------------------------------------------------
#region Designer generated code
#pragma warning disable
namespace WSS.AAT.Scenarios.NightlyRoutine
{
    using TechTalk.SpecFlow;
    
    
    [System.CodeDom.Compiler.GeneratedCodeAttribute("TechTalk.SpecFlow", "1.9.0.77")]
    [System.Runtime.CompilerServices.CompilerGeneratedAttribute()]
    [NUnit.Framework.TestFixtureAttribute()]
    [NUnit.Framework.DescriptionAttribute("NightlyRetailUpdate")]
    [NUnit.Framework.CategoryAttribute("NightlyRetailUpdate")]
    public partial class NightlyRetailUpdateFeature
    {
        
        private static TechTalk.SpecFlow.ITestRunner testRunner;
        
#line 1 "NightlyRetailUpdate.feature"
#line hidden
        
        [NUnit.Framework.TestFixtureSetUpAttribute()]
        public virtual void FeatureSetup()
        {
            testRunner = TechTalk.SpecFlow.TestRunnerManager.GetTestRunner();
            TechTalk.SpecFlow.FeatureInfo featureInfo = new TechTalk.SpecFlow.FeatureInfo(new System.Globalization.CultureInfo("en-US"), "NightlyRetailUpdate", "  In order to check if nightly retail update tool work correct\r\n  I as a develope" +
                    "r\r\n  Create scenarios that test some tricky situations", ProgrammingLanguage.CSharp, new string[] {
                        "NightlyRetailUpdate"});
            testRunner.OnFeatureStart(featureInfo);
        }
        
        [NUnit.Framework.TestFixtureTearDownAttribute()]
        public virtual void FeatureTearDown()
        {
            testRunner.OnFeatureEnd();
            testRunner = null;
        }
        
        [NUnit.Framework.SetUpAttribute()]
        public virtual void TestInitialize()
        {
        }
        
        [NUnit.Framework.TearDownAttribute()]
        public virtual void ScenarioTearDown()
        {
            testRunner.OnScenarioEnd();
        }
        
        public virtual void ScenarioSetup(TechTalk.SpecFlow.ScenarioInfo scenarioInfo)
        {
            testRunner.OnScenarioStart(scenarioInfo);
        }
        
        public virtual void ScenarioCleanup()
        {
            testRunner.CollectScenarioErrors();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Nightly retail update tool successfully update last sold date in STKMAS based on " +
            "dlline rows")]
        public virtual void NightlyRetailUpdateToolSuccessfullyUpdateLastSoldDateInSTKMASBasedOnDllineRows()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Nightly retail update tool successfully update last sold date in STKMAS based on " +
                    "dlline rows", ((string[])(null)));
#line 7
this.ScenarioSetup(scenarioInfo);
#line 8
    testRunner.Given("DateLastSold field in STKMAS for SKU = \'500300\' is not set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 9
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' in DLTOT" +
                    "S", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 10
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' and SKU " +
                    "= \'500300\' and Quantity = \'1\' in DLLINE", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 11
    testRunner.When("Nightly retail update procedure was executed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 12
    testRunner.Then("Last sold date in STKMAS for SKU = \'500300\' is equal \'01-01-2016\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Nightly retail update tool update only older date in STKMAS")]
        public virtual void NightlyRetailUpdateToolUpdateOnlyOlderDateInSTKMAS()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Nightly retail update tool update only older date in STKMAS", ((string[])(null)));
#line 14
this.ScenarioSetup(scenarioInfo);
#line 15
    testRunner.Given("DateLastSold field in STKMAS for SKU = \'500300\' is equal \'02-01-2016\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 16
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' in DLTOT" +
                    "S", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 17
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' and SKU " +
                    "= \'500300\' and Quantity = \'1\' in DLLINE", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 18
    testRunner.When("Nightly retail update procedure was executed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 19
    testRunner.Then("Last sold date in STKMAS for SKU = \'500300\' is equal \'02-01-2016\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Nightly retail update tool do NOT ignore Markdown stock items")]
        public virtual void NightlyRetailUpdateToolDoNOTIgnoreMarkdownStockItems()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Nightly retail update tool do NOT ignore Markdown stock items", ((string[])(null)));
#line 21
this.ScenarioSetup(scenarioInfo);
#line 22
    testRunner.Given("DateLastSold field in STKMAS for SKU = \'500300\' is not set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 23
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' in DLTOT" +
                    "S", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 24
    testRunner.And("There is markdown row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\'" +
                    " and SKU = \'500300\' and Quantity = \'1\' in DLLINE", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 25
    testRunner.When("Nightly retail update procedure was executed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 26
    testRunner.Then("Last sold date in STKMAS for SKU = \'500300\' is equal \'01-01-2016\'", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Nightly retail update tool ignore reversed lines")]
        public virtual void NightlyRetailUpdateToolIgnoreReversedLines()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Nightly retail update tool ignore reversed lines", ((string[])(null)));
#line 28
this.ScenarioSetup(scenarioInfo);
#line 29
    testRunner.Given("DateLastSold field in STKMAS for SKU = \'500300\' is not set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 30
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' in DLTOT" +
                    "S", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 31
    testRunner.And("There is reverted row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\'" +
                    " and SKU = \'500300\' and Quantity = \'1\' in DLLINE", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 32
    testRunner.When("Nightly retail update procedure was executed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 33
    testRunner.Then("Last sold date in STKMAS for SKU = \'500300\' is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
        
        [NUnit.Framework.TestAttribute()]
        [NUnit.Framework.DescriptionAttribute("Nightly retail update tool ignore refund lines")]
        public virtual void NightlyRetailUpdateToolIgnoreRefundLines()
        {
            TechTalk.SpecFlow.ScenarioInfo scenarioInfo = new TechTalk.SpecFlow.ScenarioInfo("Nightly retail update tool ignore refund lines", ((string[])(null)));
#line 35
this.ScenarioSetup(scenarioInfo);
#line 36
    testRunner.Given("DateLastSold field in STKMAS for SKU = \'500300\' is not set", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Given ");
#line 37
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' in DLTOT" +
                    "S", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 38
    testRunner.And("There is row for Date = \'01-01-2016\' and TillId = \'01\' and TranId = \'01\' and SKU " +
                    "= \'500300\' and Quantity = \'-5\' in DLLINE", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "And ");
#line 39
    testRunner.When("Nightly retail update procedure was executed", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "When ");
#line 40
    testRunner.Then("Last sold date in STKMAS for SKU = \'500300\' is empty", ((string)(null)), ((TechTalk.SpecFlow.Table)(null)), "Then ");
#line hidden
            this.ScenarioCleanup();
        }
    }
}
#pragma warning restore
#endregion
